::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

::-webkit-scrollbar-thumb {
  background-color: #e5daf3;
  border-radius: 2px;
}

::-webkit-scrollbar-thumb:hover {
  background-color: #3C245A;
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar:hover {
  background-color: #f8f5fd;
}

#div-loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(29, 29, 29, 0.98);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    visibility: hidden;
}

#divloading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    visibility: hidden;
}

th, td {
    white-space: nowrap !important;
    text-align: start !important;
    vertical-align: middle !important;
}

.txtPurple{
    color: #3c245a !important;
}

.txtGreen{
    color: #178130 !important;
}

.txtRed{
    color: #dc3545 !important;
}

.btn-leo-purple{
    background-color: #DABDFD;
    color: #3c245a;
}
.btn-leo-purple:hover{
    background-color: #cd8aff;
    color: #3c245a;
}

.btn-leo-green{
    background-color: #a8ffbc;
    color: #178130;
    font-weight: 600;
}
.btn-leo-green:hover{
    background-color: #70ff92;
    color: #178130;
    font-weight: 600;
}

.btn-leo-blue{
    background-color: #9dccff;
    color: #007bff;
    font-weight: 600;
}
.btn-leo-blue:hover{
    background-color: #72b6ff;
    color: #007bff;
    font-weight: 600;
}

.btn-leo-red{
    background-color: #ffcacf;
    color: #dc3545;
    font-weight: 600;
}
.btn-leo-red:hover{
    background-color: #faa9b1;
    color: #dc3545;
    font-weight: 600;
}

.btn-leo-default{
    background-color: #d6d6d6;
    color: #4b4b4b;
    font-weight: 600;
}
.btn-leo-default:hover{
    background-color: #d6d6d6;
    color: #272727;
    font-weight: 600;
}

.alerta {
    padding: 14px 16px;
    min-width: 300px;
    position: fixed;
    bottom: 12px;
    border-radius: 3px;
    right: 12px;
    overflow: hidden;
    opacity: 0;
    pointer-events: none;
    z-index: 1111;
    box-shadow: 0 0 12px #999;
}

.alerta.showAlert {
    opacity: 0.9;
    pointer-events: auto;
}

.alerta.hide {
    display: none;
}

.alerta.msg {
    padding: 0 20px;
    font-size: 15px;
}

.spinnerContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.spinner {
    width: 56px;
    height: 56px;
    display: grid;
    border: 4px solid #0000;
    border-radius: 50%;
    border-right-color: #299fff;
    animation: tri-spinner 1s infinite linear;
}

.spinner::before,
.spinner::after {
    content: "";
    grid-area: 1/1;
    margin: 2px;
    border: inherit;
    border-radius: 50%;
    animation: tri-spinner 2s infinite;
}

.spinner::after {
    margin: 8px;
    animation-duration: 3s;
}

@keyframes tri-spinner {
    100% {
        transform: rotate(1turn);
    }
}

.loader {
    color: #fff;
    font-family: "Poppins",sans-serif;
    font-weight: 500;
    font-size: 25px;
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    height: 40px;
    padding: 10px 10px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    border-radius: 8px;
}

.words {
    overflow: hidden;
}

.word {
    display: block;
    height: 100%;
    padding-left: 6px;
    color: #299fff;
    animation: cycle-words 5s infinite;
}

@keyframes cycle-words {
    10% {
        -webkit-transform: translateY(-105%);
        transform: translateY(-105%);
    }

    25% {
        -webkit-transform: translateY(-100%);
        transform: translateY(-100%);
    }

    35% {
        -webkit-transform: translateY(-205%);
        transform: translateY(-205%);
    }

    50% {
        -webkit-transform: translateY(-200%);
        transform: translateY(-200%);
    }

    60% {
        -webkit-transform: translateY(-305%);
        transform: translateY(-305%);
    }

    75% {
        -webkit-transform: translateY(-300%);
        transform: translateY(-300%);
    }

    85% {
        -webkit-transform: translateY(-405%);
        transform: translateY(-405%);
    }

    100% {
        -webkit-transform: translateY(-400%);
        transform: translateY(-400%);
    }
}

/* .modal-backdrop {
    display: none !important;
} */

.modal-content {
    box-shadow: none !important;
    border-radius: 0px !important;
}

.tippy-box[data-theme~='leo'] {
    background-color: #272727 ;
    color: #ffffff;
    font-weight: bold;
    text-align: center;
}

.dt-search label{
    display: none;
}

.checkFav input {
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.checkFav {
  display: flex;
  cursor: pointer;
  user-select: none;
}

.checkFav svg {
  top: 0;
  left: 0;
  height: 25px;
  width: 25px;
  transition: all 0.3s;
  fill: #666;
}

.checkFav svg:hover {
  transform: scale(1.1);
}

.checkFav input:checked ~ svg {
  fill: #ffeb49;
}
